یک آسیب‌پذیری روز صفر در نرم‌افزار ساخت سیسکو کشف شد

ارشادی
اشتراک‌گذاری در:
آسیب‌پذیری روز صفر در نرم‌افزار سیسکو

کارشناسان امنیت سایبری یک آسیب‌پذیری روزصفر جدید در نرم‌افزار IOS XE شرکت سیسکو کشف کرده‌اند که می‌تواند بسیار خطرناک باشد.
 
به گزارش افتانا به نقل از هکر نیوز، یک آسیب‌پذیری روزصفر در نرم‌افزار IOS XE سیسکو با شناسه CVE-2023-20273 و شدت 7.2 کشف شده است که امکان ارتقاء سطح دسترسی از راه‌دور را برای مهاجم فراهم خواهد آورد.
 
سیسکو در خصوص این آسیب‌پذیری جدید هشدار داده و اذعان داشته است که نقص امنیتی مذکور بطور فعال توسط مهاجمان جهت استقرار کدهای مخرب مبتنی ‌بر Lua در دستگاه‌های حساس مورد بهره‌برداری قرار می‌گیرد. این آسیب‌پذیری قابل ردیابی بوده و به ارتقاء سطح دسترسی در ویژگی رابط کاربری وب مربوط می‌شود و همراه با آسیب‌پذیری با شناسه CVE-2023-20198 بعنوان بخشی از یک زنجیره بهره‌برداری بکار گرفته می‌شود.
 
به گفته محققان امنیتی شرکت سیسکو: «مهاجم ابتدا از آسیب‌پذیری CVE-2023-20198 جهت اخذ دسترسی اولیه سوءاستفاده کرده، سپس خط فرمان privilege 15 را جهت ایجاد یک حساب کاربری محلی با رمزعبور بکار خواهد گرفت. این دستور به کاربر اجازه می‌دهد تا با سطح دسترسی کاربر عادی وارد سیستم شده سپس از ویژگی‌های کاربری وب دیگر سوءاستفاده کند و سطح دسترسی خود را از کاربر محلی به کاربر root ارتقاء دهد، که این امر با بهره‌برداری موفق از آسیب‌پذیری CVE-2023-20273 امکان‌پذیر خواهد بود.»
 
آژانس امنیت سایبری زیرساخت آمریکا نیز بیان کرده است که: «مهاجم احرازهویت‌نشده، می‌تواند از راه‌دور از این آسیب‌پذیری بهره‌برداری کرده و کنترل سیستم را در دست بگیرد. بطور خاص این آسیب‌پذیری به مهاجم اجازه می‌دهد تا یک حساب کاربری با سطح دسترسی بالا ایجاد کرده و کنترل کاملی بر دستگاه‌ قربانی داشته باشد.»
 
بهره‌برداری موفق از نقص امنیتی مذکور می‌تواند از راه‌دور به مهاجمان امکان دسترسی بدون محدودیت به روترها و سوئیچ‌ها، نظارت بر ترافیک شبکه، تزریق و هدایت ترافیک شبکه و استفاده از آن بعنوان یک اتصال دائمی به شبکه را بدلیل عدم وجود راه‌حل‌های نظارتی بدهد.
 
نسخه‌های 17.6، 17.3 و 16.12 نرم‌افزار Cisco IOS XE در برابر این نقص امنیتی آسیب‌پذیر می‌باشند و بررسی‌های صورت گرفته نشان می‌‌دهد که بیش از 41 هزار دستگاه سیسکو که نرم‌افزار IOS XE را اجرا می-کنند و در برابر این نقص امنیتی آسیب‌پذیر هستند؛ البته طبق اظهارات شرکت سیسکو، تعداد این دستگاه-ها در 19 اکتبر به حدود 37 هزار رسیده است
 
به کاربران توصیه می‌شود در اسرع وقت نسخه 17.9 نرم‌افزار Cisco IOS XE را بر روی سیستم خود نصب کنند و تا قبل از اعمال آن، ویژگی HTTP سیستم خود را نیز غیرفعال کنند تا امکان بهر‌برداری از این آسیب‌پذیری برای آن‌ها به حداقل برسد.

منبع: The Hacker News

نظرات ارزشمند شما

بدون دیدگاه

دیدگاهتان را بنویسید

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *

جدیدترین‌های فناوری